> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Preset Workflow References

> Page through the workflows that run each agent preset.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /workspaces/{workspace_id}/agent/presets/workflow-references
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/agent/presets/workflow-references:
    get:
      tags:
        - agent-presets
      summary: List Agent Preset Workflow References
      description: Page through the workflows that run each agent preset.
      operationId: agent-presets-list_agent_preset_workflow_references
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 8192
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CursorPaginatedResponse_AgentPresetWorkflowReference_
        '400':
          description: Invalid cursor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentPresetValidationErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    CursorPaginatedResponse_AgentPresetWorkflowReference_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AgentPresetWorkflowReference'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for next page
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
          description: Cursor for previous page
        has_more:
          type: boolean
          title: Has More
          description: Whether more items exist
          default: false
        has_previous:
          type: boolean
          title: Has Previous
          description: Whether previous items exist
          default: false
        total_estimate:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Estimate
          description: Estimated total count from table statistics
      type: object
      required:
        - items
      title: CursorPaginatedResponse[AgentPresetWorkflowReference]
    AgentPresetValidationErrorResponse:
      properties:
        detail:
          anyOf:
            - type: string
            - $ref: '#/components/schemas/AgentPresetValidationErrorDetail'
          title: Detail
      type: object
      required:
        - detail
      title: AgentPresetValidationErrorResponse
      description: HTTP response body for agent preset validation failures.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentPresetWorkflowReference:
      properties:
        preset_id:
          type: string
          format: uuid
          title: Preset Id
        workflow_id:
          type: string
          pattern: wf_[0-9a-zA-Z]+
          title: Workflow Id
        workflow_title:
          type: string
          title: Workflow Title
      type: object
      required:
        - preset_id
        - workflow_id
        - workflow_title
      title: AgentPresetWorkflowReference
      description: A workflow whose draft runs a preset through `ai.preset_agent`.
    AgentPresetValidationErrorDetail:
      properties:
        message:
          type: string
          title: Message
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        tool_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tool Count
        max_tools:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Tools
        missing_skill_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Missing Skill Ids
        skill_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Skill Id
        skill_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Skill Names
        skills:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Skills
        skill_version_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Skill Version Id
        skill_version_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Skill Version Ids
        preset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Preset Id
        preset_version_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Preset Version Id
        mcp_integration_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Mcp Integration Id
        mcp_integration_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Mcp Integration Ids
        tool_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tool Ids
      type: object
      required:
        - message
      title: AgentPresetValidationErrorDetail
      description: Structured details for agent preset validation failures.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.